#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
};

static const struct modversion_info ____versions[]
__attribute_used__
__attribute__((section("__versions"))) = {
	{ 0x1d64c9b5, "struct_module" },
	{ 0x5da2c20a, "pci_unregister_driver" },
	{ 0xd3422409, "__pci_register_driver" },
	{ 0x2e4cc746, "unregister_netdev" },
	{ 0x4ffc9177, "pci_iounmap" },
	{ 0x64ee137e, "generic_mii_ioctl" },
	{ 0x957ad06e, "ethtool_op_get_perm_addr" },
	{ 0x1d26aa98, "sprintf" },
	{ 0x12ff73fc, "mii_ethtool_sset" },
	{ 0x8c0ee31c, "mii_ethtool_gset" },
	{ 0xc79efd97, "mii_link_ok" },
	{ 0xb7c5693f, "mii_nway_restart" },
	{ 0xda264347, "del_timer" },
	{ 0xdbc3c4f1, "netif_rx" },
	{ 0x60a50c84, "eth_type_trans" },
	{ 0x3360bb18, "ioread32_rep" },
	{ 0xaa87e077, "skb_over_panic" },
	{ 0x707f93dd, "preempt_schedule" },
	{ 0x954ac3e3, "mem_map" },
	{ 0x2dbc755e, "iowrite32_rep" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x56662b32, "mod_timer" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x799aca4, "local_bh_enable" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xb48de09c, "__kfree_skb" },
	{ 0xbb74a9b, "__alloc_skb" },
	{ 0xe6162979, "netif_carrier_on" },
	{ 0x7ff3d52f, "netif_carrier_off" },
	{ 0x908aa9b2, "iowrite32" },
	{ 0xe051a0ac, "__mod_timer" },
	{ 0x7d11c268, "jiffies" },
	{ 0x463e37ad, "init_timer" },
	{ 0x5e42e61, "free_netdev" },
	{ 0xd49501d4, "__release_region" },
	{ 0xacf1cba7, "dma_free_coherent" },
	{ 0x40b40e91, "register_netdev" },
	{ 0x2241a928, "ioread32" },
	{ 0x389e200f, "ioread8" },
	{ 0x375bf494, "iowrite8" },
	{ 0x3960713, "ioread16" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x4775eacf, "iowrite16" },
	{ 0xfd9cfc54, "dma_alloc_coherent" },
	{ 0xc168bc38, "pci_bus_write_config_byte" },
	{ 0xac7011c7, "pci_bus_read_config_byte" },
	{ 0x1a1a4f09, "__request_region" },
	{ 0x865ebccd, "ioport_resource" },
	{ 0x65951e87, "alloc_etherdev" },
	{ 0x5a155e2d, "pci_bus_type" },
	{ 0x96b9334d, "pci_iomap" },
	{ 0x594bf15b, "ioport_map" },
	{ 0x6ddb258c, "__netdev_watchdog_up" },
	{ 0xd8c152cd, "raise_softirq_irqoff" },
	{ 0xf1eb916e, "per_cpu__softnet_data" },
	{ 0x1b7d4074, "printk" },
	{ 0x26e96637, "request_irq" },
	{ 0x7af3f551, "pci_set_master" },
	{ 0x575ee674, "pci_enable_device" },
	{ 0x8143aaf8, "pci_restore_state" },
	{ 0x462e7879, "pci_set_power_state" },
	{ 0xc736c2db, "pci_disable_device" },
	{ 0xf20dabd8, "free_irq" },
	{ 0x228446b2, "pci_enable_wake" },
	{ 0xde31fcf6, "pci_choose_state" },
	{ 0x68ac5c39, "pci_save_state" },
	{ 0x806d5133, "param_array_get" },
	{ 0x89cef6fb, "param_array_set" },
	{ 0x89b301d4, "param_get_int" },
	{ 0x98bd6f46, "param_set_int" },
};

static const char __module_depends[]
__attribute_used__
__attribute__((section(".modinfo"))) =
"depends=";

MODULE_ALIAS("pci:v000010B7d00005900sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010B7d00005920sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010B7d00005970sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010B7d00005950sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010B7d00005951sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010B7d00005952sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010B7d00009000sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010B7d00009001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010B7d00009004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010B7d00009005sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010B7d00009006sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010B7d0000900Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010B7d00009050sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010B7d00009051sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010B7d00009055sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010B7d00009058sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010B7d0000905Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010B7d00009200sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010B7d00009202sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010B7d00009800sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010B7d00009805sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010B7d00007646sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010B7d00005055sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010B7d00006055sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010B7d00006056sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010B7d00005B57sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010B7d00005057sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010B7d00005157sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010B7d00005257sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010B7d00006560sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010B7d00006562sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010B7d00006564sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010B7d00004500sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010B7d00009201sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010B7d00001201sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010B7d00001202sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010B7d00009056sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010B7d00009210sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "6DFE7F3FF7764743DEC82F5");
